# Uses of Enum Class
org.apache.sysds.runtime.iogen.ColIndexStructure.IndexProperties

Packages that use ColIndexStructure.IndexProperties
Package
Description
org.apache.sysds.runtime.iogen

## Uses of ColIndexStructure.IndexProperties in org.apache.sysds.runtime.iogen

Methods in org.apache.sysds.runtime.iogen that return ColIndexStructure.IndexProperties
Modifier and Type
Method
Description
`ColIndexStructure.IndexProperties`
ColIndexStructure.`getProperties()`
`static ColIndexStructure.IndexProperties`
ColIndexStructure.IndexProperties.`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static ColIndexStructure.IndexProperties[]`
ColIndexStructure.IndexProperties.`values()`
Returns an array containing the constants of this enum class, in the order they are declared.
Methods in org.apache.sysds.runtime.iogen with parameters of type ColIndexStructure.IndexProperties
Modifier and Type
Method
Description
`void`
ColIndexStructure.`setProperties(ColIndexStructure.IndexProperties properties)`